
CoCoA-5 - Bug #458

CoCoA5 GUI; failed build "wrong architecture"

06 Mar 2014 20:31 - John Abbott

Status: Rejected Start date: 06 Mar 2014

Priority: Low Due date:  

Assignee: John Abbott % Done: 100%

Category: GUI Estimated time: 0.95 hour

Target version: CoCoA-5.3.0 Spent time: 0.95 hour

Description

I observed a failed build of the C5 GUI (on Mac OS X 10.5.8).  The commands I ran were:

make veryclean

make -j2

 

The error reported was:

Making the CoCoA GUI...

ld warning: in QCodeEdit/libqcodeedit.a, file is not of required architecture

History

#1 - 06 Mar 2014 20:35 - John Abbott

I don't believe this issue is so important, but it is worth recording (maybe some Makefile magician will spot the problem?)

I have made minor modifications to src/CoCoA-5/Makefile; they might help.

Just be careful using the -j2 flag when compiling the GUI!

(or forget the GUI and just use Emacs :-)

#2 - 02 Apr 2014 17:34 - Anna Maria Bigatti

- Target version set to CoCoA-5.1.0 Easter14

#3 - 04 Apr 2014 16:44 - John Abbott

- Target version changed from CoCoA-5.1.0 Easter14 to CoCoA-5.?.?

#4 - 02 Mar 2020 15:40 - John Abbott

- Status changed from New to Rejected

- Assignee set to John Abbott

- Target version changed from CoCoA-5.?.? to CoCoA-5.3.0

- % Done changed from 0 to 100

- Estimated time set to 0.95 h

The old Qt4 GUI became a zombie a while ago.  I think this issue is now too old be relevant any more.

Rejecting.
